Bug 11296 - yale-tftpd core dump.
Summary: yale-tftpd core dump.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tftp   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-08 11:21 UTC by jean.tedesco
Modified: 2014-03-17 02:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-08 11:21:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jean.tedesco 2000-05-08 11:21:31 UTC
Note: I did not find a "Component" for tftpd in this form, and I therefor
used "tftp", sorry. Could you forward to the right person ?
-------------

The yale-tftpd daemon used in redhat linux 6.2 core dump if 2 tftp session
occur in a raw (Before the daemon time out and exit, aka before inetd
needs to re-spawn it) and if the tftpDebugLevel is set > 3.

Fix: in tftpyale.c, in function readConfig(), line 242, the variable
fileName is not initialised in the condition described above. To fixe it,
add the 4 lines below defore line 242 (or something similar...) :

        else
        {
                fileName = "forgotten, see first opening...";
        }


Line 242 from the tftp I downloaded from redhat:
        if (tftpDebugLevel > 3) {
                syslog(/*LOG_DEBUG*/LOG_INFO, "configFile = '%s'; FILE* =
0x%08x
",
                        fileName, configf);
        }

Comment 1 Pekka Savola 2000-07-14 21:51:27 UTC
You must have confused something.  Redhat doesn't ship with yale-tftpd :)



Note You need to log in before you can comment on or make changes to this bug.